Spell Check in JavaScript DOCX Editor

28 Aug 20266 minutes to read

JavaScript DOCX Editor (Document Editor) supports performing spell checking for any input text. You can perform spell checking for the text in DOCX Editor. It provides suggestions for misspelled words through a dialog and the context menu. DOCX Editor’s spell checker is compatible with hunspell dictionary files.

import { DocumentEditorContainer, Toolbar, SpellChecker } from '@syncfusion/ej2-documenteditor';

DocumentEditorContainer.Inject(Toolbar);
let container: DocumentEditorContainer = new DocumentEditorContainer({
    enableToolbar: true, enableSpellCheck: true
});
container.appendTo('#container');
// Accessing spell checker.
let spellChecker: SpellChecker = container.documentEditor.spellChecker;
// Set language ID to map the dictionary on the server side.
spellChecker.languageID = 1033;
spellChecker.removeUnderline = false;
// Allow suggestion for misspelled words.
spellChecker.allowSpellCheckAndSuggestion = true;

NOTE

DOCX Editor requires server-side dependencies for spell check configuration. Refer to the DOCX Editor Web API service projects link for configuring spell checker on the server side. To know about server-side dependencies, please refer to this page.

Features

  • Supports context menu suggestions.
  • Provides built-in options to Ignore, Ignore All, Change, Change All for error words in the spell checker dialog.

Enable SpellCheck

To enable spell check in DOCX Editor, set enableSpellCheck property as true and then configure SpellCheckSettings.

Disable SpellCheck

To disable spell check in DOCX Editor, set enableSpellCheck property as false or remove enableSpellCheck property initialization code. The default value of this property is false.

Spell check settings

Remove Underline

By default, misspelled words are marked with a squiggly line. You can also disable this behavior by enabling the removeUnderline API, and the squiggly lines will no longer be rendered for misspelled words.

documentEditor.spellChecker.removeUnderline = false;

AllowSpellCheckAndSuggestion

By default, on performing spell check in DOCX Editor, both spelling and suggestions of the misspelled words are retrieved, and these misspelled words can be corrected through context menu suggestions. You can modify this behavior using the allowSpellCheckAndSuggestion API, which performs only spell check.

documentEditor.spellChecker.allowSpellCheckAndSuggestion = false;

LanguageID

DOCX Editor provides multi-language spell check support. You can add as many languages (dictionaries) on the server side. To use that language for spell checking in DOCX Editor, it must match the languageID you set in the DOCX Editor.

documentEditor.spellChecker.languageID = 1033; // LCID of "en-us".

EnableOptimizedSpellCheck

DOCX Editor provides an option to spell check page by page when loading documents. The default value of this property is false, so when opening the document, the spell check web API is called for each word in the document. To optimize the frequency of spell check web API calls, you can enable this property.

The following code example illustrates how to enable optimized spell checking.

documentEditor.spellChecker.enableOptimizedSpellCheck = true;

Spell check dictionary cache

Starting from v20.1.0.xx, the performance and memory usage of the spell checker have been optimized by adding a static method to initialize the dictionaries with a specified cache count.

By default, the spell checker holds only one language dictionary in memory. If you want to hold multiple dictionaries in memory, you need to set the cache limit using the InitializeDictionaries method as in the below example.

List<DictionaryData> spellDictCollection = new List<DictionaryData>();
string personalDictPath = string.Empty;
int cacheCount = 2;

// Initialize dictionaries
SpellChecker.InitializeDictionaries(spellDictCollection, personalDictPath, cacheCount);

If dictionaries are initialized using the InitializeDictionaries method, you should use the default constructor of the SpellChecker to check spelling and get suggestions, as in the code example below; this prevents reinitialization of already loaded dictionaries.

public string SpellCheck([FromBody] SpellCheckJsonData spellChecker)
{
    try
    {
        SpellChecker spellCheck = new SpellChecker();
        spellCheck.GetSuggestions(spellChecker.LanguageID, spellChecker.TexttoCheck, spellChecker.CheckSpelling, spellChecker.CheckSuggestion, spellChecker.AddWord);
        return Newtonsoft.Json.JsonConvert.SerializeObject(spellCheck);
    }
    catch
    {
        return "{\"SpellCollection\":[],\"HasSpellingError\":false,\"Suggestions\":null}";
    }
}

Previously, on every SpellChecker.GetSuggestion() method call, the .aff and dictionary data were parsed to generate suggestions for misspelled words. Starting from v20.1.0.xx, the .aff and dictionary data are parsed only on the first call to the SpellChecker.GetSuggestion() method.

Add new root word and possible words to dictionary

If you find that a root word is missing in the dictionary file, you can add that new root word and the rule to form the possible words to the dictionary file using the AddNewWord API in the server-side Spell check library.

NOTE

  1. The rules are framed automatically using the root word, the possible words, and the affix file.
  2. If you pass null for the parameters affPath and possibleWords, only a single root word is added to the dictionary.
  3. This API is included starting from v20.2.0.xx.

The following code example demonstrates how to add a new root word to the dictionary along with the rule to form the possible words.

SpellChecker spellChecker = new SpellChecker();
// Adds the specified new root word to the dictionary along with the rule to form the possible words.
spellChecker.AddNewWord("en.dic","en.aff", "construct", new string[] { "constructs", "reconstruct", "constructed", "constructive" });

Context menu

Right-click on an incorrect word to open the context menu with spell check options. Please see the screenshot below for your reference.

Spell check option in JavaScript DOCX Editor context menu

Suggestions

The context menu shows suggestions for misspelled words. Click a suggestion to replace the word automatically.

Add To Dictionary

Using this option, you can add the current word to the dictionary so that the spell checker no longer flags it as an error.

Ignore Once and Ignore All

If you do not want to add the word to the dictionary and do not want to show the error, use the Ignore Once or Ignore All options.

Ignore: ignores only the current occurrence of the word.

Ignore All: ignores all occurrences of the word in the entire document.

Spelling

Using this option, you can open the spell check dialog. Please see the screenshot below for your reference.

Spell check dialog in JavaScript DOCX Editor

NOTE

Refer to the Spell checker link for configuring spell checker on the server side.

Spell Check in Vue DOCX Editor

28 Aug 20267 minutes to read

Vue DOCX Editor (Document Editor) supports performing spell checking for any input text. You can perform spell checking for the text in DOCX Editor and it will provide suggestions for the mis-spelled words through dialog and in context menu. DOCX Editor’s spell checker is compatible with hunspell dictionary files.

<template>
  <div id="app">
    <ejs-documenteditor ref="documenteditor" id="container_1" height="370px" style="width: 100%;"
      :enableSpellCheck='true'></ejs-documenteditor>
  </div>
</template>
<script setup>
import { DocumentEditorComponent as EjsDocumenteditor } from '@syncfusion/ej2-vue-documenteditor';
import { onMounted, ref } from 'vue';

const documenteditor = ref(null);
onMounted(function () {
  //Set language id to map dictionary.
  documenteditor.value.ej2Instances.spellChecker.languageID = 1033;
  documenteditor.value.ej2Instances.spellChecker.removeUnderline = false;
  documenteditor.value.ej2Instances.spellChecker.allowSpellCheckAndSuggestion = true;
})
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>
<template>
  <div id="app">
    <ejs-documenteditor ref="documenteditor" id="container_1" height="370px" style="width: 100%;"
      :enableSpellCheck='true'></ejs-documenteditor>
  </div>
</template>
<script>
import { DocumentEditorComponent } from '@syncfusion/ej2-vue-documenteditor';

export default {
  components: {
    'ejs-documenteditor': DocumentEditorComponent
  },
  data: function () {
    return {
    };
  },
  mounted: function () {
    //Set language id to map dictionary.
    this.$refs.documenteditor.ej2Instances.spellChecker.languageID = 1033;
    this.$refs.documenteditor.ej2Instances.spellChecker.removeUnderline = false;
    this.$refs.documenteditor.ej2Instances.spellChecker.allowSpellCheckAndSuggestion = true;
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Features

  • Supports context menu suggestions.
  • Provides built-in options to Ignore, Ignore All, Change, Change All for error words in spell check dialog.

Enable spellCheck

To enable spell check in DOCX Editor, set enableSpellCheck property as true and then configure SpellCheckSettings.

Disable spellCheck

To disable spell check in DOCX Editor, set enableSpellCheck property as false or remove enableSpellCheck property initialization code. The default value of this property is false.

Spell check settings

Remove underline

By default, misspelled words are marked with a squiggly line. This behavior can be disabled by setting the removeUnderline API to true, which prevents squiggly lines from being rendered for misspelled words.

this.$refs.documenteditor.ej2Instances.spellChecker.removeUnderline = false;

AllowSpellCheckAndSuggestion

By default, on performing spell check in DOCX Editor, both spelling and suggestions of the mis-spelled words will be retrieved, and this mis-spelled words can be corrected through context menu suggestions. You can modify this behavior using the allowSpellCheckAndSuggestion API, which will perform only spell check.

this.$refs.documenteditor.ej2Instances.spellChecker.allowSpellCheckAndSuggestion = false;

LanguageID

DOCX Editor provides multi-language spell check support. You can add as many languages (dictionaries) in the server-side and to use that language for spell checking in DOCX Editor, it must be matched with languageID you pass in the DOCX Editor.

this.$refs.documenteditor.ej2Instances.spellChecker.languageID = 1033 //LCID of "en-us";

EnableOptimizedSpellCheck

DOCX Editor provides option to spellcheck page by page when loading the documents. The default value of this property is false, so when opening the document spellcheck web API will be called for each word in the document. To optimize the frequency of spellcheck web API calls, you can enable this property.

The following code example illustrates how to enable optimized spell checking.

this.container.documentEditor.spellChecker.enableOptimizedSpellCheck = true;

Spell check dictionary cache

Starting from v20.1.0.xx, we have optimized the performance and memory usage of spell checker by adding a static method to initialize the dictionaries with specified cache count.

By default, the spell checker holds only one language dictionary in memory. If you want to hold multiple dictionaries in memory, you need to set the cache limit by using InitializeDictionaries method as in the below example.

List<DictionaryData> spellDictCollection = new List<DictionaryData>();
string personalDictPath = string.Empty;
int cacheCount = 2;
// Initialize dictionaries
SpellChecker.InitializeDictionaries(spellDictCollection, personalDictPath, cacheCount);

If dictionaries are initialized using InitializeDictionaries method, then we should use the default constructor of the SpellChecker to check spelling and get suggestions as in the below example code. This will prevent reinitialization of already loaded dictionaries.

public string SpellCheck([FromBody] SpellCheckJsonData spellChecker)
{
      try
      {
            SpellChecker spellCheck = new SpellChecker();
            spellCheck.GetSuggestions(spellChecker.LanguageID, spellChecker.TexttoCheck, spellChecker.CheckSpelling, spellChecker.CheckSuggestion, spellChecker.AddWord);
            return Newtonsoft.Json.JsonConvert.SerializeObject(spellCheck);
      }
      catch
      {
            return "{\"SpellCollection\":[],\"HasSpellingError\":false,\"Suggestions\":null}";
      }
}

Previously on every SpellChecker.GetSuggestion() method call, the .aff and dictionary data will be parsed to generate suggestions for misspelled words. However, starting from v20.1.0.xx, the .aff and dictionary data will be parsed only for the first time alone while calling SpellChecker.GetSuggestion() method.

Add new root word and possible words to dictionary

If you find any root word is missing in the dictionary file, then you can add that new root word and the rule to form the possible words to dictionary file using AddNewWord API in the server-side Spell check library.

The rules are framed automatically using the root word, the possible words and affix file. If you pass null for the parameters affPath and possibleWords, then it will add a single root word to the dictionary. This API is included starting from v20.2.0.xx.

The following code example demonstrates how to add a new root word to the dictionary along with the rule to form the possible words.

SpellChecker spellChecker = new SpellChecker();
// Adds the specified new root word to the dictionary along with the rule to form the possible words.
spellChecker.AddNewWord("en.dic", "en.aff", "construct", new string[] { "constructs", "reconstruct", "constructed", "constructive" });

Context menu

Right-click on a misspelled word to open the context menu with spell check options. See the screenshot below for reference.

Spell check option in context menu

Suggestions

Context menu shows the suggestions for mis-spelled words. By clicking on the required word from suggestion, the error word gets replaced automatically.

Add to dictionary

Using this option, you can add the current word to the dictionary. As a result, the spell checker will not treat the word as an error in the future.

Ignore Once and Ignore All

If you do not wish to add the word to the dictionary and do not want to show the error, use Ignore Once or Ignore All options.

Ignore: Ignores only the current occurrence of a word from the error.

Ignore All: Ignores all occurrences of a word in the entire document.

Spelling

Using this option, you can open the spell check dialog. Please see below screenshot for your reference.

Spell check dialog

  • Refer to the Spell checker link for configuring the spell checker on the server side.

Spell Check in Angular DOCX Editor

27 Aug 20266 minutes to read

Angular DOCX Editor (Document Editor) supports spell checking for document content. It identifies misspelled words and provides suggestions through a dialog and the context menu. The spell checker is compatible with Hunspell dictionary files.

import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import { ToolbarService, DocumentEditorContainerComponent } from '@syncfusion/ej2-angular-documenteditor';

@Component({
      selector: 'app-container',
      // specifies the template string for the DocumentEditorContainer component
      template: `<ejs-documenteditorcontainer #document_editor (created)="onCreated()" [enableToolbar]=true [enableSpellCheck]=true> </ejs-documenteditorcontainer>`,
      providers: [ToolbarService]
})
export class AppComponent {
    @ViewChild('document_editor')
    public container: DocumentEditorContainerComponent;
    onCreated() {
        //Specifies the language id to map server side dictionary.
        this.container.documentEditor.spellChecker.languageID = 1033;
        this.container.documentEditor.spellChecker.removeUnderline = false;
        this.container.documentEditor.spellChecker.allowSpellCheckAndSuggestion = true;
    }
}

Features

  • Supports context menu suggestions for misspelled words.

  • Provides options such as Ignore, Ignore All, Change, and Change All in the spell check dialog.

Enable spellCheck

To enable spell check in DocumentEditor, set enableSpellCheck property as true and then configure SpellCheckSettings.

Disable spellCheck

To disable spell check in DocumentEditor, set enableSpellCheck property as false or remove enableSpellCheck property initialization code. The default value of this property is false.

Spell check settings

Remove underline

By default, mis-spelled words are marked with squiggly line. You can also disable this behavior by enabling the removeUnderline API and now, the squiggly lines will never be rendered for mis-spelled words.

this.container.documentEditor.spellChecker.removeUnderline = false;

AllowSpellCheckAndSuggestion

By default, on performing spell check in DOCX Editor, both spelling and suggestions of the mis-spelled words will be retrieved, and this mis-spelled words can be corrected through context menu suggestions. You can modify this behavior using the allowSpellCheckAndSuggestion API, which will perform only spell check.

this.container.documentEditor.spellChecker.allowSpellCheckAndSuggestion = false;

LanguageID

DOCX Editor provides multi-language spell check support. You can add as many languages (dictionaries) in the server-side and to use that language for spell checking in DOCX Editor, it must be matched with languageID you pass in the DOCX Editor.

this.container.documentEditor.spellChecker.languageID = 1033; //LCID of "en-us";

EnableOptimizedSpellCheck

DOCX Editor provides option to spellcheck page by page when loading the documents. The default value of this property is false, so when opening the document spellcheck web API will be called for each word in the document. To optimize the frequency of spellcheck web API calls, you can enable this property.

The following code example illustrates how to enable optimized spell checking.

this.container.documentEditor.spellChecker.enableOptimizedSpellCheck = true;

Spell check dictionary cache

Starting from v20.1.0.xx, we have optimized the performance and memory usage of spell checker by adding a static method to initialize the dictionaries with specified cache count.

By default, the spell checker holds only one language dictionary in memory. If you want to hold multiple dictionaries in memory, you need to set the cache limit by using InitializeDictionaries method as in the below example.

 List<DictionaryData> spellDictCollection = new List<DictionaryData>();
 string personalDictPath = string.Empty;
 int cacheCount = 2;
 // Initialize dictionaries
 SpellChecker.InitializeDictionaries(spellDictCollection, personalDictPath, cacheCount);

If dictionaries are initialized using InitializeDictionaries method, then we should use default constructor of the SpellCheckerto check spelling and get suggestion as in the below example code, it will prevent reinitialization of already loaded dictionaries.

public string SpellCheck([FromBody] SpellCheckJsonData spellChecker)
{
      try
      {
            SpellChecker spellCheck = new SpellChecker();
            spellCheck.GetSuggestions(spellChecker.LanguageID, spellChecker.TexttoCheck, spellChecker.CheckSpelling, spellChecker.CheckSuggestion, spellChecker.AddWord);
            return Newtonsoft.Json.JsonConvert.SerializeObject(spellCheck);
      }
      catch
      {
            return "{\"SpellCollection\":[],\"HasSpellingError\":false,\"Suggestions\":null}";
      }
}

Previously on every SpellChecker.GetSuggestion() method call, the .aff and dictionary data will be parsed to generate suggestion for miss spelled word. But, starting from v20.1.0.xx, the .aff and dictionary data will be parsed only for the first time alone while calling SpellChecker.GetSuggestion() method.

Add new root word and possible words to dictionary

If you find any root word is missing in the dictionary file, then you can add that new root word and the rule to form the possible words to dictionary file using AddNewWord API in the server-side Spell check library.

The rules are framed automatically using the root word, the possible words and affix file. If you pass null for the parameters affPath and possibleWords, then it will add a single root word to dictionary. This API is included starting from v20.2.0.xx.

The following code example demonstrates how to add a new root word to the dictionary along with the rule to form the possible words.

SpellChecker spellChecker = new SpellChecker();
// Adds the specified new root word to the dictionary along with the rule to form the possible words.
spellChecker.AddNewWord("en.dic","en.aff", "construct", new string[] { "constructs", "reconstruct", "constructed", "constructive" });

Context menu

Right click on error word to open the context menu with spell check options. Please see below screenshot for your reference.

Spell check option in context menu

Suggestions

Context menu shows the suggestions for mis-spelled words. By clicking on the required word from suggestion, the error word gets replaced automatically.

Add to dictionary

Using this option, you can add the current word to the dictionary. So that the spell checker does not consider that word as error in future.

Ignore Once and Ignore All

If you do not wish to add the word to dictionary and do not want to show error, use Ignore Once or Ignore All options.

Ignore: ignore only the current occurrence of a word from error.

Ignore All: ignore all occurrence of a word from error in the entire document.

Spelling

Using this option, you can open spell check dialog. Please see below screenshot for your reference.

Spell check dialog

  • Refer to the Spell checker link for configuring spell checker in server-side.

Spell Check in React DOCX Editor

27 Aug 20267 minutes to read

React DOCX Editor (Document Editor) supports spell checking for document content. It identifies misspelled words and provides suggestions through a dialog and the context menu. The spell checker is compatible with Hunspell dictionary files.

Features

  • Supports context menu suggestions for misspelled words.

  • Provides options such as Ignore, Ignore All, Change, and Change All in the spell check dialog.

Configure spell check in React DOCX Editor

Spell checking is enabled using the enableSpellCheck property and by configuring the spellChecker settings. A server-side service is required to process text, detect misspelled words, and provide suggestions for display in the editor.

Client-side configuration

Spell check can be enabled in the DOCX Editor using the enableSpellCheck property. Configure the spell check settings with a valid service URL and language ID to enable spelling validation and suggestions.

The following code example demonstrates how to enable spell check and configure basic spell checker settings:

import * as React from 'react';
import { DocumentEditorContainerComponent, SpellChecker, Toolbar } from '@syncfusion/ej2-react-documenteditor';
DocumentEditorContainerComponent.Inject(Toolbar);
function App() {
    const containerRef = React.useRef(null);
    React.useEffect(() => {
        if (containerRef.current) {
            let container: DocumentEditorContainerComponent = containerRef.current as DocumentEditorContainerComponent;
            // Get the SpellChecker instance from DocumentEditorContainer.
            let spellChecker: SpellChecker = container.documentEditor.spellChecker;
            // Set the language ID for spell checker. Here, 1033 is the language ID for English (United States).
            spellChecker.languageID = 1033;
            // remove the underline for misspelled words.
            spellChecker.removeUnderline = false;
            // Allow suggestions for misspelled words.
            spellChecker.allowSpellCheckAndSuggestion = true;
        }
    }, []);
    return (
        <DocumentEditorContainerComponent
            height="590px"
            ref={containerRef}
            // Use the following service URL only for demo purposes
            serviceUrl="https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/"
            enableToolbar={true}
            enableSpellCheck={true}
        />
    );
}
export default App;

Server-side configuration

The above-mentioned hosted Web API URL is for demo and evaluation purposes only. For production, host your own web service as shown below.

The DOCX Editor client requires a server-side API to process text, identify misspelled words, and provide suggestions in the context menu. The server returns a JSON response containing details about misspelled words and their suggestions.

For more information on configuring the spell check service, refer to the following:

Spell check settings

Allow suggestions

By default, the DOCX Editor retrieves both spelling errors and suggestions for misspelled words, allowing users to correct them through context menu options. This behavior can be modified using the allowSpellCheckAndSuggestion API to perform only spell checking without fetching suggestions.

The following code example demonstrates how to enable spell check suggestions.

container.documentEditor.spellChecker.allowSpellCheckAndSuggestion = false;

Remove underline

By default, misspelled words are marked with a squiggly line. This behavior can be disabled using the removeUnderline API, which prevents squiggly lines from being rendered for misspelled words.

The following code example demonstrates how to configure this behavior.

container.documentEditor.spellChecker.removeUnderline = false;

Language configuration

The DOCX Editor supports multi-language spell checking. Multiple languages (dictionaries) can be added on the server side, and the language used for spell checking must match the languageID specified in the DOCX Editor.

The following code example demonstrates how to configure the languageID.

container.documentEditor.spellChecker.languageID = 1033; //LCID of "en-us"

Add new word to dictionary

If a root word is missing from the dictionary file, it can be added along with rules to generate possible word forms using the AddNewWord API in the server-side spell check library.

Rules are automatically generated based on the root word, possible words, and affix file. Passing null for the affPath and possibleWords parameters adds only the root word to the dictionary.

The following server-side example demonstrates how to add a new root word along with rules to generate possible word forms:

SpellChecker spellChecker = new SpellChecker();

// Adds the specified new root word to the dictionary along with the rule to form the possible words.
spellChecker.AddNewWord("en.dic", "en.aff", "construct", new string[] { "constructs", "reconstruct", "constructed", "constructive" });

Dictionary cache

To improve performance, dictionary data can be cached on the server side using the InitializeDictionaries method. This avoids reloading dictionary files for every spell check request and reduces processing time.

By default, only one dictionary is cached. Multiple dictionaries can be maintained by increasing the cache count as shown below:

List<DictionaryData> spellDictCollection = new List<DictionaryData>();
string personalDictPath = string.Empty;
int cacheCount = 2;
// Initialize dictionaries
SpellChecker.InitializeDictionaries(spellDictCollection, personalDictPath, cacheCount);

If dictionaries are initialized using the InitializeDictionaries method, the default constructor of the SpellChecker should be used to perform spell checks and retrieve suggestions. This approach prevents the reinitialization of already loaded dictionaries.

To write a Web API for word-by-word spell checking, refer to the link.

Optimized spell check

The DOCX Editor provides an option to perform spell checking page by page when loading documents. By default, this property is set to false, so the spell check web API is called for each word in the document. To optimize the frequency of spell check API calls, you can enable the enableOptimizedSpellCheck property.

The following code example illustrates how to enable optimized spell checking.

container.documentEditor.spellChecker.enableOptimizedSpellCheck = true;

Context menu

Right-click on a misspelled word to open the context menu with spell check options. See the screenshot below for reference.

More suggestions

The context menu shows suggestions for misspelled words. By clicking the required word from the suggestions, the misspelled word is replaced automatically.

Add to dictionary

This option allows the current word to be added to the dictionary. As a result, the spell checker will not treat the word as an error in the future.

Ignore Once and Ignore All

If the word should not be added to the dictionary and should not be marked as an error, the Ignore Once or Ignore All options can be used.

Ignore Once: Ignores only the current occurrence of a word.

Ignore All: Ignores all occurrences of a word in the entire document.

Spelling

This option allows the spell check dialog to be opened. Refer to the following screenshot for additional details.

Spelling in status bar

The Spelling option is available in the status bar once spell check is enabled. It allows you to enable or disable spell check and control underline behavior directly from the status bar.

Online demo

Explore how to enable spell check in the DOCX Editor using React through the live demo provided here.